Summary:	A small utility for safely making /tmp files
Name:		mktemp
Version:	1.5
Release:	%mkrel 14
License:	BSD
Group:		File tools
Url:		http://www.mktemp.org/
Source:		ftp://ftp.mktemp.org/pub/mktemp/mktemp-%{version}.tar.bz2

%description
The mktemp utility takes a given file name template and overwrites
a portion of it to create a unique file name.  This allows shell
scripts and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup

%build
%configure2_5x --bindir=/bin
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile

%makeinstall bindir=%{buildroot}/bin

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) /bin/%{name}
%{_mandir}/man1/mktemp.1*




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5-14mdv2008.1
+ Revision: 130035
- kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-14mdv2007.0
+ Revision: 119918
- Import mktemp

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.5-13mdk
- Rebuild

* Fri Feb 11 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.5-12mdk
- rebuild with newer source (bug #13494)

